CATMAN(8)

NAME
catman - format cat pages from man pages

SYNOPSIS
catman [ -pvV ] [[ -Mpath ] | [ -mpath ]] [ section ... ]

DESCRIPTION
catman creates formatted versions of the on-line manual pages from their nroff(1) or aroff(1) source. Manual pages whose formatted versions are missing or out of date are regenerated.

If section is specified, then catman will only created formatted manual pages for the specified section(s).

Manual pages that are nroff(1) source and are compressed with either compress(1), freeze(1), or gzip(1) are recognised provided that they have the suffixes .Z, .F, and .gz, respectively. Manual page names, including suffixes, are case sensitive.

Preformatted manual pages will be created in cat? only if that subdirectory exists.

OPTIONS

-p  Display the commands that would have been executed, but do not actually execute them.

-M path
    Set path to be the list of paths for which manual pages will be updated. If not set, the value of MANPATH, USRMAN, or MANDIR will be used instead. Multiple directories may be specified by separating them either by colons or by spaces. In the latter case, be sure to quote path from the shell.

-m path
    Append path on to the list of paths for which manual pages will be updated.

-V  Display version information and exit.

-v  Verbose. Show processing information.

BUGS
Please report any bugs to Devin Reade, <gdr@myrias.ab.ca>.

SEE ALSO
apropos(1), man(1), whatis(1), gzip(1), compress(1), freeze(1), makewhatis(8).

WARNING
catman will unlink any out-of-date files in the cat? subdirectories. The files that would be unlinked are listed when catman is invoked with the -p option.